org.etsi.uri._01903.v1_3

## Class SignedDataObjectProperties

- java.lang.Object
- - org.etsi.uri._01903.v1_3.SignedDataObjectProperties

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class SignedDataObjectProperties
      extends Object
      implements Serializable

  Java class for SignedDataObjectPropertiesType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SignedDataObjectPropertiesType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="DataObjectFormat" type="{http://uri.etsi.org/01903/v1.3.2#}DataObjectFormatType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="CommitmentTypeIndication" type="{http://uri.etsi.org/01903/v1.3.2#}CommitmentTypeIndicationType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="AllDataObjectsTimeStamp" type="{http://uri.etsi.org/01903/v1.3.2#}XAdESTimeStampType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="IndividualDataObjectsTimeStamp" type="{http://uri.etsi.org/01903/v1.3.2#}XAdESTimeStampType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignedDataObjectProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<XAdESTimeStampType>` | `getAllDataObjectsTimeStamps()` Gets the value of the allDataObjectsTimeStamps property.
    `List<CommitmentTypeIndication>` | `getCommitmentTypeIndications()` Gets the value of the commitmentTypeIndications property.
    `List<DataObjectFormat>` | `getDataObjectFormats()` Gets the value of the dataObjectFormats property.
    `String` | `getId()` Gets the value of the id property.
    `List<XAdESTimeStampType>` | `getIndividualDataObjectsTimeStamps()` Gets the value of the individualDataObjectsTimeStamps property.
    `void` | `setId(String value)` Sets the value of the id property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignedDataObjectProperties

          public SignedDataObjectProperties()

  - ### Method Detail

    - #### getDataObjectFormats

          public List<DataObjectFormat> getDataObjectFormats()

      Gets the value of the dataObjectFormats property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dataObjectFormats property.

      For example, to add a new item, do as follows:

              getDataObjectFormats().add(newItem);

      Objects of the following type(s) are allowed in the list `DataObjectFormat`

    - #### getCommitmentTypeIndications

          public List<CommitmentTypeIndication> getCommitmentTypeIndications()

      Gets the value of the commitmentTypeIndications property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the commitmentTypeIndications property.

      For example, to add a new item, do as follows:

              getCommitmentTypeIndications().add(newItem);

      Objects of the following type(s) are allowed in the list `CommitmentTypeIndication`

    - #### getAllDataObjectsTimeStamps

          public List<XAdESTimeStampType> getAllDataObjectsTimeStamps()

      Gets the value of the allDataObjectsTimeStamps property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the allDataObjectsTimeStamps property.

      For example, to add a new item, do as follows:

              getAllDataObjectsTimeStamps().add(newItem);

      Objects of the following type(s) are allowed in the list `XAdESTimeStampType`

    - #### getIndividualDataObjectsTimeStamps

          public List<XAdESTimeStampType> getIndividualDataObjectsTimeStamps()

      Gets the value of the individualDataObjectsTimeStamps property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the individualDataObjectsTimeStamps property.

      For example, to add a new item, do as follows:

              getIndividualDataObjectsTimeStamps().add(newItem);

      Objects of the following type(s) are allowed in the list `XAdESTimeStampType`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.